What does THIS SHIT mean?

includes/modules/constraint.lua:947: Tried to use a NULL entity!

includes/modules/constraint.lua:947: Tried to use a NULL entity!

includes/modules/constraint.lua:947: Tried to use a NULL entity!

includes/modules/constraint.lua:947: Tried to use a NULL entity!

I get this junk in the top right corner of my screen, whenever I try to stack/weld/easy precision. Etc…

It’s preventing me from building… HELP.

Well it means exactly what it says :v: (think of NULL as invalid, nonexistent or corrupted). The problem is most likely caused by an addon, try to temporarily rename your garrysmod folder and to something like garrysmodOLD. Now start your Garry’s Mod and you should be running a fresh version, try to build something now.